%define module	virtualenv
%define name	python-%{module}
%define version	1.9.1
%define subrel 1

Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
Summary:	Virtual Python Environment builder
Group:		Development/Python
License:	MIT
URL:		http://www.virtualenv.org/
Source0:	http://pypi.python.org/packages/source/v/%{module}/%{module}-%{version}.tar.gz
Patch0:		python-virtualenv-mga3358.patch
BuildArch:	noarch
BuildRequires:	python-setuptools
Requires:	python-pkg-resources

%description
virtualenv is a tool to create isolated Python environments.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p0 -b .mga3358

%build
PYTHONDONTWRITEBYTECODE= %{__python} setup.py build

%install
PYTHONDONTWRITEBYTECODE= %{__python} setup.py install --root=%{buildroot} --record=FILE_LIST

%files -f FILE_LIST
%defattr(-,root,root,-)
%doc docs/*.txt


%changelog
* Thu Aug 08 2013 philippem <philippem> 1.9.1-1.1.mga3
+ Revision: 464608
- add missing requires
- Update to upstream 1.9.1 because of security issues with the bundled
  python-pip in older releases

* Sun Jan 13 2013 umeabot <umeabot> 1.7.1.2-4.mga3
+ Revision: 379674
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 23 2012 lebedov <lebedov> 1.7.1.2-3.mga3
+ Revision: 296929
- Remove python-devel install requirement (#4481).

* Fri Aug 03 2012 tv <tv> 1.7.1.2-2.mga3
+ Revision: 278204
- better upstream fix for multiarch (fix firefox15 build)

* Tue May 29 2012 lebedov <lebedov> 1.7.1.2-1.mga3
+ Revision: 249516
- Update to 1.7.1.2.
  Don't set PYTHONDONTWRITEBYTECODE (#3358).

* Wed Nov 30 2011 lebedov <lebedov> 1.7-1.mga2
+ Revision: 174425
- Update to 1.7.

* Mon Sep 26 2011 lebedov <lebedov> 1.6.4-2.mga2
+ Revision: 148995
- imported package python-virtualenv

